summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2013-04-16 08:21:14 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2013-04-16 08:21:14 -0300
commit072b16ea78dcd22ef776da515bf1a53f70b49c4a (patch)
tree80ab1c8f4c27dbe3c95a8a1babded95639212351 /system
parenta817c33105a2e8b5619f2f5e741af9835ced8aa8 (diff)
downloadslackbuilds-072b16ea78dcd22ef776da515bf1a53f70b49c4a.tar.gz
slackbuilds-072b16ea78dcd22ef776da515bf1a53f70b49c4a.tar.xz
system/usbredir: Updated for version 0.6.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/usbredir/usbredir.SlackBuild32
-rw-r--r--system/usbredir/usbredir.info6
2 files changed, 30 insertions, 8 deletions
diff --git a/system/usbredir/usbredir.SlackBuild b/system/usbredir/usbredir.SlackBuild
index 83ed67ae3b..ba5c7ccde4 100644
--- a/system/usbredir/usbredir.SlackBuild
+++ b/system/usbredir/usbredir.SlackBuild
@@ -1,10 +1,28 @@
#!/bin/sh
# Slackware build script for usbredir
-# Written by Matteo Bernardini <ponce@slackbuilds.org>
+# Copyright 2013 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=usbredir
-VERSION=${VERSION:-0.4.3}
+VERSION=${VERSION:-0.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,13 +55,13 @@ fi
DOCS="ChangeLog COPYING* README* TODO"
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -56,12 +74,13 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--disable-silent-rules \
+ --disable-static \
--build=$ARCH-slackware-linux
make
@@ -70,6 +89,9 @@ make install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+ for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/system/usbredir/usbredir.info b/system/usbredir/usbredir.info
index 56ca1ddf30..b3480b4fe1 100644
--- a/system/usbredir/usbredir.info
+++ b/system/usbredir/usbredir.info
@@ -1,8 +1,8 @@
PRGNAM="usbredir"
-VERSION="0.4.3"
+VERSION="0.6"
HOMEPAGE="http://spice-space.org"
-DOWNLOAD="http://spice-space.org/download/usbredir/usbredir-0.4.3.tar.bz2"
-MD5SUM="98464d74f867ded3bcab0078666d621f"
+DOWNLOAD="http://spice-space.org/download/usbredir/usbredir-0.6.tar.bz2"
+MD5SUM="1b7ad820be7fd2a0e4ce8261a4389f15"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""